<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/list_refresh"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:focusable="true"
    android:focusableInTouchMode="true">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <View
            android:id="@+id/divider"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/ui_divider" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/searchContainer"
            android:layout_width="match_parent"
            android:layout_height="64dp"
            android:background="@color/ui_surface"
            android:descendantFocusability="beforeDescendants"
            android:focusableInTouchMode="true"
            android:gravity="center_vertical"
            android:paddingLeft="20dp">

            <EditText
                android:id="@+id/search_input"
                android:layout_width="0dp"
                android:layout_height="32dp"
                android:background="@drawable/community_editor_insert_search_background"
                android:hint="请输入关键词搜索"
                android:imeOptions="actionSearch"
                android:paddingLeft="38dp"
                android:paddingRight="12dp"
                android:singleLine="true"
                android:textColor="@color/text_primary"
                android:textColorHint="@color/text_C1BFC9"
                android:textCursorDrawable="@drawable/cursor_color"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toLeftOf="@id/search_button"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:id="@+id/iv_search"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="12dp"
                app:srcCompat="@drawable/toolbar_search_icon"
                app:layout_constraintBottom_toBottomOf="@+id/search_input"
                app:layout_constraintStart_toStartOf="@+id/search_input"
                app:layout_constraintTop_toTopOf="@+id/search_input" />

            <ImageView
                android:id="@+id/search_back"
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_marginTop="1dp"
                android:layout_marginBottom="1dp"
                android:paddingLeft="12dp"
                android:paddingRight="12dp"
                android:src="@drawable/community_invite_back"
                android:textColor="@color/white"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="@id/search_input"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/search_button"
                android:layout_width="wrap_content"
                android:layout_height="64dp"
                android:gravity="center"
                android:paddingLeft="18dp"
                android:paddingRight="16dp"
                android:text="@string/libao_search"
                android:textColor="@color/text_theme"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/ui_background"
                android:visibility="gone" />

            <TextView
                android:id="@+id/promptTv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/ui_surface"
                android:gravity="center_horizontal"
                android:paddingTop="204dp"
                android:text="搜索好玩的游戏，加入我的游戏单"
                android:textColor="@color/text_instance" />

            <include
                layout="@layout/reuse_loading"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true" />

            <include
                android:id="@+id/reuse_none_data"
                layout="@layout/reuse_none_data" />

            <include
                android:id="@+id/reuse_data_exception"
                layout="@layout/reuse_data_exception" />

            <include
                layout="@layout/reuse_no_connection"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="80dp" />
        </RelativeLayout>
    </LinearLayout>
</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>
